This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 465533 - netbsd-iscsi X LVM - not working as expected
netbsd-iscsi X LVM - not working as expected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netbsd-iscsi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 14:45 EDT by Itamar Reis Peixoto
Modified: 2008-10-21 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-21 12:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2008-10-03 14:45:08 EDT
Description of problem:

I have a 10 gb lvm partition in /dev/VolGroup00/backup, if I am put 10gb in target file the netbsd-iscsi fails to start with this error.

Oct  3 15:23:49 vps1 iscsi-target: pid 8892:disk.c:774: ***ERROR*** error writing "target0"
Oct  3 15:23:49 vps1 iscsi-target: pid 8892:disk.c:911: ***ERROR*** error allocating space for "target0"
Oct  3 15:23:49 vps1 iscsi-target: pid 8892:target.c:1544: ***ERROR*** device_init() failed
Oct  3 15:23:49 vps1 iscsi-target: pid 8892:iscsi-target.c:146: ***ERROR*** target_init() failed


but if I put 9gb instead of 10 gb then it works fine.

this is a bug ? can you help me ?



I have this in /etc/iscsi/targets


	# extent        file or device          start           length
	extent0         /dev/VolGroup00/backup      0               10GB

	# target        flags   storage                 netmask
	target0         rw      extent0                 0/0



Version-Release number of selected component (if applicable):

netbsd-iscsi-20071205-3.fc10.x86_64
Comment 1 Lubomir Rintel 2008-10-03 18:15:30 EDT
Thanks for the report -- this is definitely a bug. I attempted to track it down and fix it; please try netbsd-iscsi-20080207-1_fc10 package to see if it fixes things for you [1].

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=860280
Comment 2 Lubomir Rintel 2008-10-03 18:34:20 EDT
crap; that one did not build.
Hope this does.

http://koji.fedoraproject.org/koji/taskinfo?taskID=860331

Please let me knows if that one works.
zzz
Comment 3 Itamar Reis Peixoto 2008-10-07 18:52:31 EDT
I have tested and is working fine.

thanks alot;

Note You need to log in before you can comment on or make changes to this bug.